Skip to main content
`Ctrl`+`K`

# PetscFVLeastSquaresSetMaxFaces

Set the maximum number of cell faces for gradient reconstruction

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVLeastSquaresSetMaxFaces(PetscFV fvm, PetscInt maxFaces)

Not Collective

## Input Parameters

- fvm - The `PetscFV` object

- maxFaces - The maximum number of cell faces

## See Also

`PetscFV`, `PetscFVCreate()`, `PETSCFVLEASTSQUARES`, `PetscFVComputeGradient()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages